<template>
  <div>
    <SideBar @isSideBarOpen="isSideBarOpen" />

    <div class="min-h-screen p-6 pr-7 dark:bg-darkLayoutMain bg-slate-200" :class="checkSidebar()">

      <div class="mb-2">
        <Breadcrumb>
          <BreadcrumbItem v-for="(item, index) in getLocaleBreadCrumb" :key="index" :href="item.to ? '#' : ''"
            @click="goRoute(item.to)" disabled>
            {{ item.text }}
          </BreadcrumbItem>
        </Breadcrumb>
      </div>
      <slot />
    </div>

    <div class="right-sidebar shadow-2xl w-16 bg-darkLayoutStorm py-5 text-white" :class="checkMiniSidebar()">
      <Minisidebar />
    </div>
  </div>
</template>

<script setup>
import "./Bars/sidebar.css";
import SideBar from "./Bars/Sidebar.vue";
import Minisidebar from "./Bars/minisidebar.vue";
import { useSidebarStore } from "@/stores/layoutConfig.ts";
import { onMounted, watch, computed } from "vue";
import { Breadcrumb, BreadcrumbItem } from 'flowbite-vue'
import { useRoute, useRouter } from "vue-router"

const route = useRoute()
const router = useRouter()

const getLocaleBreadCrumb = computed(() => {
  return route.meta.breadcrumb
})

const sidebar = useSidebarStore();
const windowWidth = window.innerWidth;

function goRoute(data) {
  if (data) router.push(data)
}

const checkMiniSidebar = () => {
  if (windowWidth <= 1000) {
    // sidebar.toggleMiniSidebarState()
    return "horizontal";
  }

  if (sidebar.miniSidebar && sidebar.isSidebarOpen) {
    return "horizontal smaller";
  } else if (sidebar.miniSidebar && !sidebar.isSidebarOpen) {
    return "horizontal";
  }
};

const checkSidebar = () => {
  if (sidebar.miniSidebar && sidebar.isSidebarOpen) {
    return "open-sidebar pt-32";
  } else if (!sidebar.miniSidebar && sidebar.isSidebarOpen) {
    return "open-sidebar";
  } else if (sidebar.miniSidebar && !sidebar.isSidebarOpen) {
    return "close-sidebar pt-32";
  } else {
    return "close-sidebar";
  }
};
</script>
